petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatSeqAIJSetType

Converts a MATSEQAIJ matrix to a subtype

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatSeqAIJSetType(Mat mat, MatType matype)

Collective on Mat

### Input Parameters

| mat | - the matrix object
| matype | - matrix type

### Options Database Key

-mat_seqai_type <method> -for example seqaijcrl

### Keywords

Mat, MatType, set, method

### See Also

PCSetType(), VecSetType(), MatCreate(), MatType, Mat

### Level

intermediate

### Location

src/mat/impls/aij/seq/aij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages